# Forms

As the player progresses through the game, they unlock differents forms, available to them due to their slimekin nature. Different forms may have different natural abilities or movement techniques only available to them in certain forms.

- Greater forms require a certain amount of health / mass to maintain?
- Some forms may be entered on low health, but aren't maintainable for long.

## Blob

You start out in this form, after being chased out of the starting village.

- High friction and sticky. Can't climb, though.
- Can get through tight areas or grates with some effort.
- No inherent combat abilities?

## Bouncy

- Can bounce up to higher ledges.
- Higher maximum movement speed, though difficult to control.
- Used to repel yourself after attacking an enemy, possibly staggering them.

## Humanoid

- Can use human-made items and equipment.
- Loses equipment when switching to non-human(oid) form, unless [Memory](abilities.md#memory) is available.
- Can communicate with humans instead of just monsters.
- Can freely switch between fem, masc and maybe androgynous appearance.

## Monster

- Do monster quests to unlock different appearances?
- Another way to get these could be killing and [draining](abilities.md#drain) a champion beast.
- Once [Human form](#human) is unlocked, can also pick anthro forms of these.
- Different forms can have unique ability or combat moves.
- May be used to intimidate.

## Human

- Grants access to full customization, change appearance at any time.
  - Switch between child, teen and adult sizes.
  - Choose colors for skin, hair and eyes.
  - Choose from any NPCs hair style.
  - Choose minor details like freckles, blush, scar, moles.
  - Appearance presets can be saved and switched out easily.
- Appears to everyone as a human, therefore:
  - Humans will by default be friendly towards the PC.
  - Monsters by default will attack or flee from them.

Exactly match an NPC's appearance and outfit to impersonate them. Other than the [imposter quest](quests.md#imposter), this mechanic should be optional and the player themself should realize that the mechanic can be applied in other situations, hopefully causing them to react in a "woah this works?!" sort of way.

- Could grant you access to areas you would otherwise be barred from.
- Imperfect impersonations might still work, but can attract suspicion.
- Can't impersonate voice, so having a real conversation is out of the question.
