@tool
extends Button

@export var on_texture   : Texture2D
@export var off_texture  : Texture2D
@export var modifier_key : Key

func _toggled(on: bool) -> void:
	icon = on_texture if on else off_texture

func _input(event: InputEvent) -> void:
	if event is InputEventKey and event.keycode == modifier_key:
		button_pressed = !button_pressed
